Skip to main content
GET
/
pricing
/
{policyId}
Compute pricing for selected tier and perils
curl --request GET \
  --url https://api.example.com/pricing/{policyId}
{
  "policy": {
    "id": "<string>",
    "entityId": "<string>",
    "provider": {
      "id": "<string>",
      "version": "<string>"
    },
    "rates": [
      {
        "id": "<string>",
        "rate": 123,
        "inputs": [
          {
            "id": "<string>",
            "value": "<string>"
          }
        ]
      }
    ],
    "totalPremium": {
      "amountPreFeesAndTaxes": 123,
      "fees": [
        {
          "id": "<string>",
          "chargeType": "ONE_TIME",
          "amount": 123,
          "brokerageFirmId": "<string>"
        }
      ],
      "totalFees": 123,
      "amountWithFeesPreTaxes": 123,
      "taxes": [
        {
          "id": "<string>",
          "chargeType": "ONE_TIME",
          "amount": 123
        }
      ],
      "totalTaxes": 123,
      "amountWithFeesAndTaxes": 123
    },
    "components": [
      {
        "id": "<string>",
        "type": "PREMIUM",
        "premium": {
          "amountPreFeesAndTaxes": 123,
          "fees": [
            {
              "id": "<string>",
              "chargeType": "ONE_TIME",
              "amount": 123,
              "brokerageFirmId": "<string>"
            }
          ],
          "totalFees": 123,
          "amountWithFeesPreTaxes": 123,
          "taxes": [
            {
              "id": "<string>",
              "chargeType": "ONE_TIME",
              "amount": 123
            }
          ],
          "totalTaxes": 123,
          "amountWithFeesAndTaxes": 123
        },
        "chargeType": "ONE_TIME"
      }
    ],
    "basePrice": 123
  },
  "assets": [
    {
      "id": "<string>",
      "entityId": "<string>",
      "provider": {
        "id": "<string>",
        "version": "<string>"
      },
      "rates": [
        {
          "id": "<string>",
          "rate": 123,
          "inputs": [
            {
              "id": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "totalPremium": {
        "amountPreFeesAndTaxes": 123,
        "fees": [
          {
            "id": "<string>",
            "chargeType": "ONE_TIME",
            "amount": 123,
            "brokerageFirmId": "<string>"
          }
        ],
        "totalFees": 123,
        "amountWithFeesPreTaxes": 123,
        "taxes": [
          {
            "id": "<string>",
            "chargeType": "ONE_TIME",
            "amount": 123
          }
        ],
        "totalTaxes": 123,
        "amountWithFeesAndTaxes": 123
      },
      "components": [
        {
          "id": "<string>",
          "type": "PREMIUM",
          "premium": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "chargeType": "ONE_TIME",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "chargeType": "ONE_TIME",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          },
          "chargeType": "ONE_TIME"
        }
      ],
      "options": {
        "tier": "<string>",
        "excess": "<string>",
        "assetId": "<string>",
        "perils": [
          {
            "id": "<string>",
            "option": "<string>",
            "available": true,
            "unavailabilityMessage": "<string>"
          }
        ],
        "brokerageFees": [
          {
            "brokerageFirmId": "<string>",
            "fee": 50
          }
        ]
      },
      "basePrice": 123
    }
  ],
  "breakdown": {
    "frequency": "YEARLY",
    "total": {
      "premiumPreFeesAndTaxes": 123,
      "fees": 123,
      "withFeesPreTaxes": 123,
      "taxes": 123,
      "withFeesAndTaxes": 123
    },
    "recurring": {
      "premiumPreFeesAndTaxes": 123,
      "fees": 123,
      "withFeesPreTaxes": 123,
      "taxes": 123,
      "withFeesAndTaxes": 123
    },
    "oneTime": {
      "premiumPreFeesAndTaxes": 123,
      "fees": 123,
      "withFeesPreTaxes": 123,
      "taxes": 123,
      "withFeesAndTaxes": 123
    },
    "lines": [
      {
        "key": "<string>",
        "amount": 123,
        "forTypes": [
          "<string>"
        ],
        "adjustedAmount": 123,
        "type": "price",
        "subLines": [
          {
            "key": "<string>",
            "amount": 123,
            "forTypes": [
              "<string>"
            ],
            "adjustedAmount": 123,
            "type": "price"
          }
        ]
      }
    ],
    "totalLine": {
      "key": "<string>",
      "amount": 123,
      "adjustedAmount": 123
    },
    "firstInvoiceTotal": {
      "key": "<string>",
      "amount": 123,
      "adjustedAmount": 123
    },
    "renewalTotal": {
      "key": "<string>",
      "amount": 123,
      "adjustedAmount": 123
    }
  },
  "outputCustomFields": {
    "policyCustomFields": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "assetCustomFields": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "customerCustomFields": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Path Parameters

policyId
string
required

Policy ID

Query Parameters

tierId
string
required

Selected tier ID

selectedPerilIds
string[]

Selected peril IDs

policyCustomFieldsInputs
string

Peril parameter values as JSON string (e.g. {"financialLossPerilSelected":true})

branchId
string

Branch ID (optional, defaults to latest)

whenAt
string

Filter assets active at this date (ISO-8601)

policyCustomFields
string

Policy custom fields as JSON string (e.g. [{"key":"insuredValue","value":"RANGE_0_2500"}])

assetCustomFields
string

Asset custom fields as JSON string (e.g. [{"key":"equineValue","value":5000}])

Response

policy
object
required
assets
object[]
required
breakdown
object

Flat price breakdown

outputCustomFields
object

Custom fields computed from pricing engine outputs